Index: applications/doprava/texty/delka_cyklu/bakalarska_prace.kilepr
===================================================================
--- applications/doprava/texty/delka_cyklu/bakalarska_prace.kilepr (revision 1142)
+++ applications/doprava/texty/delka_cyklu/bakalarska_prace.kilepr (revision 1147)
@@ -5,5 +5,5 @@
 kileprversion=2
 kileversion=2.0.85
-lastDocument=05_AlgorithmDescription/AlgorithmDescription.tex
+lastDocument=06_Results/Results.tex
 masterDocument=
 name=bakalarska_prace
@@ -17,4 +17,36 @@
 QuickBuild=
 
+[document-settings,item:00_Chapters/Abstract.tex]
+Bookmarks=
+Encoding=UTF-8
+Highlighting=LaTeX
+Indentation Mode=
+Mode=LaTeX
+ReadWrite=true
+
+[document-settings,item:00_Chapters/Acknow.tex]
+Bookmarks=
+Encoding=UTF-8
+Highlighting=LaTeX
+Indentation Mode=
+Mode=LaTeX
+ReadWrite=true
+
+[document-settings,item:00_Chapters/Declar.tex]
+Bookmarks=
+Encoding=UTF-8
+Highlighting=LaTeX
+Indentation Mode=
+Mode=LaTeX
+ReadWrite=true
+
+[document-settings,item:01_Intro/Intro.tex]
+Bookmarks=
+Encoding=UTF-8
+Highlighting=LaTeX
+Indentation Mode=
+Mode=LaTeX
+ReadWrite=true
+
 [document-settings,item:02_Aimsun/Aimsun.tex]
 Bookmarks=
@@ -33,12 +65,4 @@
 ReadWrite=true
 
-[document-settings,item:04_Junctions/Junctions.tex]
-Bookmarks=
-Encoding=UTF-8
-Highlighting=LaTeX
-Indentation Mode=
-Mode=LaTeX
-ReadWrite=true
-
 [document-settings,item:05_AlgorithmDescription/AlgorithmDescription.tex]
 Bookmarks=
@@ -49,4 +73,12 @@
 ReadWrite=true
 
+[document-settings,item:06_Results/Results.tex]
+Bookmarks=
+Encoding=UTF-8
+Highlighting=LaTeX
+Indentation Mode=
+Mode=LaTeX
+ReadWrite=true
+
 [document-settings,item:bak.tex]
 Bookmarks=
@@ -60,4 +92,94 @@
 archive=true
 column=0
+encoding=UTF-8
+highlight=LaTeX
+line=0
+mode=LaTeX
+open=false
+order=-1
+
+[item:00_Chapters/Acknow.tex]
+archive=true
+column=0
+encoding=UTF-8
+highlight=LaTeX
+line=0
+mode=LaTeX
+open=false
+order=-1
+
+[item:00_Chapters/Declar.tex]
+archive=true
+column=7
+encoding=UTF-8
+highlight=LaTeX
+line=0
+mode=LaTeX
+open=true
+order=4
+
+[item:01_Intro/Intro.tex]
+archive=true
+column=0
+encoding=UTF-8
+highlight=LaTeX
+line=0
+mode=LaTeX
+open=true
+order=5
+
+[item:02_Aimsun/Aimsun.tex]
+archive=true
+column=42
+encoding=UTF-8
+highlight=LaTeX
+line=128
+mode=LaTeX
+open=true
+order=1
+
+[item:03_Agents/Agents.tex]
+archive=true
+column=27
+encoding=UTF-8
+highlight=LaTeX
+line=68
+mode=LaTeX
+open=true
+order=2
+
+[item:05_AlgorithmDescription/AlgorithmDescription.tex]
+archive=true
+column=43
+encoding=UTF-8
+highlight=LaTeX
+line=138
+mode=LaTeX
+open=true
+order=3
+
+[item:06_Results/Results.tex]
+archive=true
+column=0
+encoding=UTF-8
+highlight=LaTeX
+line=10
+mode=LaTeX
+open=true
+order=6
+
+[item:bak.tex]
+archive=true
+column=25
+encoding=UTF-8
+highlight=LaTeX
+line=107
+mode=LaTeX
+open=true
+order=0
+
+[item:bakalarska_prace.kilepr]
+archive=true
+column=163620016
 encoding=
 highlight=
@@ -67,121 +189,37 @@
 order=-1
 
-[item:00_Chapters/Acknow.tex]
-archive=true
-column=168396880
-encoding=
-highlight=
-line=0
-mode=
-open=false
-order=-1
-
-[item:00_Chapters/Declar.tex]
-archive=true
-column=0
-encoding=
-highlight=
-line=0
-mode=
-open=false
-order=-1
-
-[item:01_Intro/Intro.tex]
-archive=true
-column=6
-encoding=
-highlight=
-line=0
-mode=
-open=false
-order=-1
-
-[item:02_Aimsun/Aimsun.tex]
-archive=true
-column=68
-encoding=UTF-8
-highlight=LaTeX
-line=4
-mode=LaTeX
-open=true
-order=1
-
-[item:03_Agents/Agents.tex]
-archive=true
-column=8
-encoding=UTF-8
-highlight=LaTeX
-line=156
-mode=LaTeX
-open=true
-order=2
-
-[item:04_Junctions/Junctions.tex]
-archive=true
-column=0
-encoding=UTF-8
-highlight=LaTeX
-line=0
-mode=LaTeX
-open=true
-order=3
-
-[item:05_AlgorithmDescription/AlgorithmDescription.tex]
-archive=true
-column=62
-encoding=UTF-8
-highlight=LaTeX
-line=24
-mode=LaTeX
-open=true
-order=4
-
-[item:Appendix/01.tex]
-archive=true
-column=796420452
-encoding=
-highlight=
-line=0
-mode=
-open=false
-order=-1
-
-[item:bak.tex]
-archive=true
-column=0
-encoding=UTF-8
-highlight=LaTeX
-line=105
-mode=LaTeX
-open=true
-order=0
-
-[item:bakalarska_prace.kilepr]
-archive=true
-column=163620016
-encoding=
-highlight=
-line=0
-mode=
-open=false
-order=-1
+[view-settings,view=0,item:00_Chapters/Abstract.tex]
+CursorColumn=0
+CursorLine=0
+
+[view-settings,view=0,item:00_Chapters/Acknow.tex]
+CursorColumn=0
+CursorLine=0
+
+[view-settings,view=0,item:00_Chapters/Declar.tex]
+CursorColumn=7
+CursorLine=0
+
+[view-settings,view=0,item:01_Intro/Intro.tex]
+CursorColumn=0
+CursorLine=0
 
 [view-settings,view=0,item:02_Aimsun/Aimsun.tex]
-CursorColumn=68
-CursorLine=4
+CursorColumn=42
+CursorLine=128
 
 [view-settings,view=0,item:03_Agents/Agents.tex]
-CursorColumn=8
-CursorLine=156
-
-[view-settings,view=0,item:04_Junctions/Junctions.tex]
-CursorColumn=0
-CursorLine=0
+CursorColumn=27
+CursorLine=68
 
 [view-settings,view=0,item:05_AlgorithmDescription/AlgorithmDescription.tex]
-CursorColumn=62
-CursorLine=24
+CursorColumn=43
+CursorLine=138
+
+[view-settings,view=0,item:06_Results/Results.tex]
+CursorColumn=0
+CursorLine=10
 
 [view-settings,view=0,item:bak.tex]
-CursorColumn=0
-CursorLine=105
+CursorColumn=25
+CursorLine=107