Index: applications/doprava/texty/delka_cyklu/05_AlgorithmDescription/fig/q_scen_01_1h_tc40-120.eps
===================================================================
--- applications/doprava/texty/delka_cyklu/05_AlgorithmDescription/fig/q_scen_01_1h_tc40-120.eps (revision 1149)
+++ applications/doprava/texty/delka_cyklu/05_AlgorithmDescription/fig/q_scen_01_1h_tc40-120.eps (revision 1149)
@@ -0,0 +1,365 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: MATLAB, The Mathworks, Inc. Version 7.9.0.529 (R2009b). Operating System: Microsoft Windows XP.
+%%Title: C:\UTIA\my_graphs\q_scen_01_1h_tc40-120.eps
+%%CreationDate: 07/17/2010  17:31:00
+%%DocumentNeededFonts: Helvetica
+%%DocumentProcessColors: Cyan Magenta Yellow Black
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox:    96   238   515   553
+%%EndComments
+
+%%BeginProlog
+% MathWorks dictionary
+/MathWorks 160 dict begin
+% definition operators
+/bdef {bind def} bind def
+/ldef {load def} bind def
+/xdef {exch def} bdef
+/xstore {exch store} bdef
+% operator abbreviations
+/c  /clip ldef
+/cc /concat ldef
+/cp /closepath ldef
+/gr /grestore ldef
+/gs /gsave ldef
+/mt /moveto ldef
+/np /newpath ldef
+/cm /currentmatrix ldef
+/sm /setmatrix ldef
+/rm /rmoveto ldef
+/rl /rlineto ldef
+/s {show newpath} bdef
+/sc {setcmykcolor} bdef
+/sr /setrgbcolor ldef
+/sg /setgray ldef
+/w /setlinewidth ldef
+/j /setlinejoin ldef
+/cap /setlinecap ldef
+/rc {rectclip} bdef
+/rf {rectfill} bdef
+% page state control
+/pgsv () def
+/bpage {/pgsv save def} bdef
+/epage {pgsv restore} bdef
+/bplot /gsave ldef
+/eplot {stroke grestore} bdef
+% orientation switch
+/portraitMode 0 def /landscapeMode 1 def /rotateMode 2 def
+% coordinate system mappings
+/dpi2point 0 def
+% font control
+/FontSize 0 def
+/FMS {/FontSize xstore findfont [FontSize 0 0 FontSize neg 0 0]
+  makefont setfont} bdef
+/ISOLatin1Encoding where {pop /WindowsLatin1Encoding 256 array bdef
+ISOLatin1Encoding WindowsLatin1Encoding copy pop
+/.notdef/.notdef/quotesinglbase/florin/quotedblbase/ellipsis/dagger
+/daggerdbl/circumflex/perthousand/Scaron/guilsinglleft/OE/.notdef/.notdef
+/.notdef/.notdef/quoteleft/quoteright/quotedblleft/quotedblright/bullet
+/endash/emdash/tilde/trademark/scaron/guilsinglright/oe/.notdef/.notdef
+/Ydieresis WindowsLatin1Encoding 128 32 getinterval astore pop}
+{/WindowsLatin1Encoding StandardEncoding bdef} ifelse
+/reencode {exch dup where {pop load} {pop StandardEncoding} ifelse
+  exch dup 3 1 roll findfont dup length dict begin
+  { 1 index /FID ne {def}{pop pop} ifelse } forall
+  /Encoding exch def currentdict end definefont pop} bdef
+/isroman {findfont /CharStrings get /Agrave known} bdef
+/FMSR {3 1 roll 1 index dup isroman {reencode} {pop pop} ifelse
+  exch FMS} bdef
+/csm {1 dpi2point div -1 dpi2point div scale neg translate
+ dup landscapeMode eq {pop -90 rotate}
+  {rotateMode eq {90 rotate} if} ifelse} bdef
+% line types: solid, dotted, dashed, dotdash
+/SO { [] 0 setdash } bdef
+/DO { [.5 dpi2point mul 4 dpi2point mul] 0 setdash } bdef
+/DA { [6 dpi2point mul] 0 setdash } bdef
+/DD { [.5 dpi2point mul 4 dpi2point mul 6 dpi2point mul 4
+  dpi2point mul] 0 setdash } bdef
+% macros for lines and objects
+/L {lineto stroke} bdef
+/MP {3 1 roll moveto 1 sub {rlineto} repeat} bdef
+/AP {{rlineto} repeat} bdef
+/PDlw -1 def
+/W {/PDlw currentlinewidth def setlinewidth} def
+/PP {closepath eofill} bdef
+/DP {closepath stroke} bdef
+/MR {4 -2 roll moveto dup  0 exch rlineto exch 0 rlineto
+  neg 0 exch rlineto closepath} bdef
+/FR {MR stroke} bdef
+/PR {MR fill} bdef
+/L1i {{currentfile picstr readhexstring pop} image} bdef
+/tMatrix matrix def
+/MakeOval {newpath tMatrix currentmatrix pop translate scale
+0 0 1 0 360 arc tMatrix setmatrix} bdef
+/FO {MakeOval stroke} bdef
+/PO {MakeOval fill} bdef
+/PD {currentlinewidth 2 div 0 360 arc fill
+   PDlw -1 eq not {PDlw w /PDlw -1 def} if} def
+/FA {newpath tMatrix currentmatrix pop translate scale
+  0 0 1 5 -2 roll arc tMatrix setmatrix stroke} bdef
+/PA {newpath tMatrix currentmatrix pop	translate 0 0 moveto scale
+  0 0 1 5 -2 roll arc closepath tMatrix setmatrix fill} bdef
+/FAn {newpath tMatrix currentmatrix pop translate scale
+  0 0 1 5 -2 roll arcn tMatrix setmatrix stroke} bdef
+/PAn {newpath tMatrix currentmatrix pop translate 0 0 moveto scale
+  0 0 1 5 -2 roll arcn closepath tMatrix setmatrix fill} bdef
+/vradius 0 def /hradius 0 def /lry 0 def
+/lrx 0 def /uly 0 def /ulx 0 def /rad 0 def
+/MRR {/vradius xdef /hradius xdef /lry xdef /lrx xdef /uly xdef
+  /ulx xdef newpath tMatrix currentmatrix pop ulx hradius add uly
+  vradius add translate hradius vradius scale 0 0 1 180 270 arc 
+  tMatrix setmatrix lrx hradius sub uly vradius add translate
+  hradius vradius scale 0 0 1 270 360 arc tMatrix setmatrix
+  lrx hradius sub lry vradius sub translate hradius vradius scale
+  0 0 1 0 90 arc tMatrix setmatrix ulx hradius add lry vradius sub
+  translate hradius vradius scale 0 0 1 90 180 arc tMatrix setmatrix
+  closepath} bdef
+/FRR {MRR stroke } bdef
+/PRR {MRR fill } bdef
+/MlrRR {/lry xdef /lrx xdef /uly xdef /ulx xdef /rad lry uly sub 2 div def
+  newpath tMatrix currentmatrix pop ulx rad add uly rad add translate
+  rad rad scale 0 0 1 90 270 arc tMatrix setmatrix lrx rad sub lry rad
+  sub translate rad rad scale 0 0 1 270 90 arc tMatrix setmatrix
+  closepath} bdef
+/FlrRR {MlrRR stroke } bdef
+/PlrRR {MlrRR fill } bdef
+/MtbRR {/lry xdef /lrx xdef /uly xdef /ulx xdef /rad lrx ulx sub 2 div def
+  newpath tMatrix currentmatrix pop ulx rad add uly rad add translate
+  rad rad scale 0 0 1 180 360 arc tMatrix setmatrix lrx rad sub lry rad
+  sub translate rad rad scale 0 0 1 0 180 arc tMatrix setmatrix
+  closepath} bdef
+/FtbRR {MtbRR stroke } bdef
+/PtbRR {MtbRR fill } bdef
+/stri 6 array def /dtri 6 array def
+/smat 6 array def /dmat 6 array def
+/tmat1 6 array def /tmat2 6 array def /dif 3 array def
+/asub {/ind2 exch def /ind1 exch def dup dup
+  ind1 get exch ind2 get sub exch } bdef
+/tri_to_matrix {
+  2 0 asub 3 1 asub 4 0 asub 5 1 asub
+  dup 0 get exch 1 get 7 -1 roll astore } bdef
+/compute_transform {
+  dmat dtri tri_to_matrix tmat1 invertmatrix 
+  smat stri tri_to_matrix tmat2 concatmatrix } bdef
+/ds {stri astore pop} bdef
+/dt {dtri astore pop} bdef
+/db {2 copy /cols xdef /rows xdef mul dup 3 mul string
+  currentfile 
+  3 index 0 eq {/ASCIIHexDecode filter}
+  {/ASCII85Decode filter 3 index 2 eq {/RunLengthDecode filter} if }
+  ifelse exch readstring pop
+  dup 0 3 index getinterval /rbmap xdef
+  dup 2 index dup getinterval /gbmap xdef
+  1 index dup 2 mul exch getinterval /bbmap xdef pop pop}bdef
+/it {gs np dtri aload pop moveto lineto lineto cp c
+  cols rows 8 compute_transform 
+  rbmap gbmap bbmap true 3 colorimage gr}bdef
+/il {newpath moveto lineto stroke}bdef
+currentdict end def
+%%EndProlog
+
+%%BeginSetup
+MathWorks begin
+
+0 cap
+
+end
+%%EndSetup
+
+%%Page: 1 1
+%%BeginPageSetup
+%%PageBoundingBox:    96   238   515   553
+MathWorks begin
+bpage
+%%EndPageSetup
+
+%%BeginObject: obj1
+bplot
+
+/dpi2point 12 def
+portraitMode 1152 6636 csm
+
+    0     0  5039  3780 rc
+85 dict begin %Colortable dictionary
+/c0 { 0.000000 0.000000 0.000000 sr} bdef
+/c1 { 1.000000 1.000000 1.000000 sr} bdef
+/c2 { 0.900000 0.000000 0.000000 sr} bdef
+/c3 { 0.000000 0.820000 0.000000 sr} bdef
+/c4 { 0.000000 0.000000 0.800000 sr} bdef
+/c5 { 0.910000 0.820000 0.320000 sr} bdef
+/c6 { 1.000000 0.260000 0.820000 sr} bdef
+/c7 { 0.000000 0.820000 0.820000 sr} bdef
+c0
+1 j
+1 sg
+   0    0 5040 3781 rf
+6 w
+0 3081 3905 0 0 -3081 655 3364 4 MP
+PP
+-3905 0 0 3081 3905 0 0 -3081 655 3364 5 MP stroke
+4 w
+DO
+SO
+6 w
+0 sg
+ 655  283 mt 4560  283 L
+ 655 3364 mt 4560 3364 L
+4560 3364 mt 4560  283 L
+ 655 3364 mt  655  283 L
+ 655 3364 mt 4560 3364 L
+ 655 3364 mt  655  283 L
+ 655 3364 mt  655 3324 L
+ 655  283 mt  655  322 L
+%%IncludeResource: font Helvetica
+/Helvetica /WindowsLatin1Encoding 120 FMSR
+
+ 622 3509 mt 
+(0) s
+1143 3364 mt 1143 3324 L
+1143  283 mt 1143  322 L
+1110 3509 mt 
+(5) s
+1631 3364 mt 1631 3324 L
+1631  283 mt 1631  322 L
+1565 3509 mt 
+(10) s
+2119 3364 mt 2119 3324 L
+2119  283 mt 2119  322 L
+2053 3509 mt 
+(15) s
+2607 3364 mt 2607 3324 L
+2607  283 mt 2607  322 L
+2541 3509 mt 
+(20) s
+3095 3364 mt 3095 3324 L
+3095  283 mt 3095  322 L
+3029 3509 mt 
+(25) s
+3583 3364 mt 3583 3324 L
+3583  283 mt 3583  322 L
+3517 3509 mt 
+(30) s
+4071 3364 mt 4071 3324 L
+4071  283 mt 4071  322 L
+4005 3509 mt 
+(35) s
+4560 3364 mt 4560 3324 L
+4560  283 mt 4560  322 L
+4494 3509 mt 
+(40) s
+ 655 3364 mt  694 3364 L
+4560 3364 mt 4520 3364 L
+ 554 3408 mt 
+(0) s
+ 655 2923 mt  694 2923 L
+4560 2923 mt 4520 2923 L
+ 554 2967 mt 
+(5) s
+ 655 2483 mt  694 2483 L
+4560 2483 mt 4520 2483 L
+ 487 2527 mt 
+(10) s
+ 655 2043 mt  694 2043 L
+4560 2043 mt 4520 2043 L
+ 487 2087 mt 
+(15) s
+ 655 1603 mt  694 1603 L
+4560 1603 mt 4520 1603 L
+ 487 1647 mt 
+(20) s
+ 655 1163 mt  694 1163 L
+4560 1163 mt 4520 1163 L
+ 487 1207 mt 
+(25) s
+ 655  723 mt  694  723 L
+4560  723 mt 4520  723 L
+ 487  767 mt 
+(30) s
+ 655  283 mt  694  283 L
+4560  283 mt 4520  283 L
+ 487  327 mt 
+(35) s
+ 655  283 mt 4560  283 L
+ 655 3364 mt 4560 3364 L
+4560 3364 mt 4560  283 L
+ 655 3364 mt  655  283 L
+gs 655 283 3906 3082 rc
+/c8 { 0.000000 0.000000 1.000000 sr} bdef
+c8
+98 880 97 -88 98 0 98 -176 97 176 98 0 97 -352 98 -440 
+98 -352 97 -616 98 1760 98 -352 97 440 98 0 97 -176 98 -176 
+98 -1144 97 -1321 98 1761 98 -440 97 1408 98 0 97 -88 98 -264 
+98 440 97 -1144 98 -264 98 264 97 -616 98 -352 97 1144 98 -440 
+98 -1320 97 -89 98 441 98 88 97 -352 850 3187 38 MP stroke
+/c9 { 1.000000 0.000000 0.000000 sr} bdef
+c9
+98 407 97 -64 98 -42 98 -84 97 9 98 -158 97 -317 98 -282 
+98 -123 97 106 98 829 98 -103 97 145 98 -150 97 -299 98 -422 
+98 -667 97 -192 98 938 98 115 97 671 98 -68 97 -136 98 -183 
+98 -103 97 -645 98 -146 98 -28 97 -320 98 -24 97 304 98 -537 
+98 -632 97 55 98 198 98 -44 97 -176 850 3187 38 MP stroke
+gr
+
+c9
+0 sg
+2293 3652 mt 
+(cyklus [90s]) s
+ 405 1977 mt  -90 rotate
+(fronta) s
+90 rotate
+2287  188 mt 
+(D\351lka fronty) s
+ 638 3407 mt 
+( ) s
+4544  325 mt 
+( ) s
+1 sg
+0 378 999 0 0 -378 3467 3246 4 MP
+PP
+-999 0 0 378 999 0 0 -378 3467 3246 5 MP stroke
+4 w
+DO
+SO
+6 w
+0 sg
+3467 2868 mt 4466 2868 L
+3467 3246 mt 4466 3246 L
+4466 3246 mt 4466 2868 L
+3467 3246 mt 3467 2868 L
+3467 3246 mt 4466 3246 L
+3467 3246 mt 3467 2868 L
+3467 2868 mt 4466 2868 L
+3467 3246 mt 4466 3246 L
+4466 3246 mt 4466 2868 L
+3467 3246 mt 3467 2868 L
+3948 3015 mt 
+(aktu\341ln\355) s
+gs 3467 2868 1000 379 rc
+c8
+370 0 3541 2973 2 MP stroke
+gr
+
+c8
+0 sg
+3948 3184 mt 
+(filtrovan\341) s
+gs 3467 2868 1000 379 rc
+c9
+370 0 3541 3141 2 MP stroke
+gr
+
+c9
+
+end %%Color Dict
+
+eplot
+%%EndObject
+
+epage
+end
+
+showpage
+
+%%Trailer
+%%EOF
Index: applications/doprava/texty/delka_cyklu/05_AlgorithmDescription/fig/q_scen_01_1h_tc80.eps
===================================================================
--- applications/doprava/texty/delka_cyklu/05_AlgorithmDescription/fig/q_scen_01_1h_tc80.eps (revision 1149)
+++ applications/doprava/texty/delka_cyklu/05_AlgorithmDescription/fig/q_scen_01_1h_tc80.eps (revision 1149)
@@ -0,0 +1,365 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: MATLAB, The Mathworks, Inc. Version 7.9.0.529 (R2009b). Operating System: Microsoft Windows XP.
+%%Title: C:\UTIA\my_graphs\q_scen_01_1h_tc80.eps
+%%CreationDate: 07/17/2010  17:30:21
+%%DocumentNeededFonts: Helvetica
+%%DocumentProcessColors: Cyan Magenta Yellow Black
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox:    91   233   519   557
+%%EndComments
+
+%%BeginProlog
+% MathWorks dictionary
+/MathWorks 160 dict begin
+% definition operators
+/bdef {bind def} bind def
+/ldef {load def} bind def
+/xdef {exch def} bdef
+/xstore {exch store} bdef
+% operator abbreviations
+/c  /clip ldef
+/cc /concat ldef
+/cp /closepath ldef
+/gr /grestore ldef
+/gs /gsave ldef
+/mt /moveto ldef
+/np /newpath ldef
+/cm /currentmatrix ldef
+/sm /setmatrix ldef
+/rm /rmoveto ldef
+/rl /rlineto ldef
+/s {show newpath} bdef
+/sc {setcmykcolor} bdef
+/sr /setrgbcolor ldef
+/sg /setgray ldef
+/w /setlinewidth ldef
+/j /setlinejoin ldef
+/cap /setlinecap ldef
+/rc {rectclip} bdef
+/rf {rectfill} bdef
+% page state control
+/pgsv () def
+/bpage {/pgsv save def} bdef
+/epage {pgsv restore} bdef
+/bplot /gsave ldef
+/eplot {stroke grestore} bdef
+% orientation switch
+/portraitMode 0 def /landscapeMode 1 def /rotateMode 2 def
+% coordinate system mappings
+/dpi2point 0 def
+% font control
+/FontSize 0 def
+/FMS {/FontSize xstore findfont [FontSize 0 0 FontSize neg 0 0]
+  makefont setfont} bdef
+/ISOLatin1Encoding where {pop /WindowsLatin1Encoding 256 array bdef
+ISOLatin1Encoding WindowsLatin1Encoding copy pop
+/.notdef/.notdef/quotesinglbase/florin/quotedblbase/ellipsis/dagger
+/daggerdbl/circumflex/perthousand/Scaron/guilsinglleft/OE/.notdef/.notdef
+/.notdef/.notdef/quoteleft/quoteright/quotedblleft/quotedblright/bullet
+/endash/emdash/tilde/trademark/scaron/guilsinglright/oe/.notdef/.notdef
+/Ydieresis WindowsLatin1Encoding 128 32 getinterval astore pop}
+{/WindowsLatin1Encoding StandardEncoding bdef} ifelse
+/reencode {exch dup where {pop load} {pop StandardEncoding} ifelse
+  exch dup 3 1 roll findfont dup length dict begin
+  { 1 index /FID ne {def}{pop pop} ifelse } forall
+  /Encoding exch def currentdict end definefont pop} bdef
+/isroman {findfont /CharStrings get /Agrave known} bdef
+/FMSR {3 1 roll 1 index dup isroman {reencode} {pop pop} ifelse
+  exch FMS} bdef
+/csm {1 dpi2point div -1 dpi2point div scale neg translate
+ dup landscapeMode eq {pop -90 rotate}
+  {rotateMode eq {90 rotate} if} ifelse} bdef
+% line types: solid, dotted, dashed, dotdash
+/SO { [] 0 setdash } bdef
+/DO { [.5 dpi2point mul 4 dpi2point mul] 0 setdash } bdef
+/DA { [6 dpi2point mul] 0 setdash } bdef
+/DD { [.5 dpi2point mul 4 dpi2point mul 6 dpi2point mul 4
+  dpi2point mul] 0 setdash } bdef
+% macros for lines and objects
+/L {lineto stroke} bdef
+/MP {3 1 roll moveto 1 sub {rlineto} repeat} bdef
+/AP {{rlineto} repeat} bdef
+/PDlw -1 def
+/W {/PDlw currentlinewidth def setlinewidth} def
+/PP {closepath eofill} bdef
+/DP {closepath stroke} bdef
+/MR {4 -2 roll moveto dup  0 exch rlineto exch 0 rlineto
+  neg 0 exch rlineto closepath} bdef
+/FR {MR stroke} bdef
+/PR {MR fill} bdef
+/L1i {{currentfile picstr readhexstring pop} image} bdef
+/tMatrix matrix def
+/MakeOval {newpath tMatrix currentmatrix pop translate scale
+0 0 1 0 360 arc tMatrix setmatrix} bdef
+/FO {MakeOval stroke} bdef
+/PO {MakeOval fill} bdef
+/PD {currentlinewidth 2 div 0 360 arc fill
+   PDlw -1 eq not {PDlw w /PDlw -1 def} if} def
+/FA {newpath tMatrix currentmatrix pop translate scale
+  0 0 1 5 -2 roll arc tMatrix setmatrix stroke} bdef
+/PA {newpath tMatrix currentmatrix pop	translate 0 0 moveto scale
+  0 0 1 5 -2 roll arc closepath tMatrix setmatrix fill} bdef
+/FAn {newpath tMatrix currentmatrix pop translate scale
+  0 0 1 5 -2 roll arcn tMatrix setmatrix stroke} bdef
+/PAn {newpath tMatrix currentmatrix pop translate 0 0 moveto scale
+  0 0 1 5 -2 roll arcn closepath tMatrix setmatrix fill} bdef
+/vradius 0 def /hradius 0 def /lry 0 def
+/lrx 0 def /uly 0 def /ulx 0 def /rad 0 def
+/MRR {/vradius xdef /hradius xdef /lry xdef /lrx xdef /uly xdef
+  /ulx xdef newpath tMatrix currentmatrix pop ulx hradius add uly
+  vradius add translate hradius vradius scale 0 0 1 180 270 arc 
+  tMatrix setmatrix lrx hradius sub uly vradius add translate
+  hradius vradius scale 0 0 1 270 360 arc tMatrix setmatrix
+  lrx hradius sub lry vradius sub translate hradius vradius scale
+  0 0 1 0 90 arc tMatrix setmatrix ulx hradius add lry vradius sub
+  translate hradius vradius scale 0 0 1 90 180 arc tMatrix setmatrix
+  closepath} bdef
+/FRR {MRR stroke } bdef
+/PRR {MRR fill } bdef
+/MlrRR {/lry xdef /lrx xdef /uly xdef /ulx xdef /rad lry uly sub 2 div def
+  newpath tMatrix currentmatrix pop ulx rad add uly rad add translate
+  rad rad scale 0 0 1 90 270 arc tMatrix setmatrix lrx rad sub lry rad
+  sub translate rad rad scale 0 0 1 270 90 arc tMatrix setmatrix
+  closepath} bdef
+/FlrRR {MlrRR stroke } bdef
+/PlrRR {MlrRR fill } bdef
+/MtbRR {/lry xdef /lrx xdef /uly xdef /ulx xdef /rad lrx ulx sub 2 div def
+  newpath tMatrix currentmatrix pop ulx rad add uly rad add translate
+  rad rad scale 0 0 1 180 360 arc tMatrix setmatrix lrx rad sub lry rad
+  sub translate rad rad scale 0 0 1 0 180 arc tMatrix setmatrix
+  closepath} bdef
+/FtbRR {MtbRR stroke } bdef
+/PtbRR {MtbRR fill } bdef
+/stri 6 array def /dtri 6 array def
+/smat 6 array def /dmat 6 array def
+/tmat1 6 array def /tmat2 6 array def /dif 3 array def
+/asub {/ind2 exch def /ind1 exch def dup dup
+  ind1 get exch ind2 get sub exch } bdef
+/tri_to_matrix {
+  2 0 asub 3 1 asub 4 0 asub 5 1 asub
+  dup 0 get exch 1 get 7 -1 roll astore } bdef
+/compute_transform {
+  dmat dtri tri_to_matrix tmat1 invertmatrix 
+  smat stri tri_to_matrix tmat2 concatmatrix } bdef
+/ds {stri astore pop} bdef
+/dt {dtri astore pop} bdef
+/db {2 copy /cols xdef /rows xdef mul dup 3 mul string
+  currentfile 
+  3 index 0 eq {/ASCIIHexDecode filter}
+  {/ASCII85Decode filter 3 index 2 eq {/RunLengthDecode filter} if }
+  ifelse exch readstring pop
+  dup 0 3 index getinterval /rbmap xdef
+  dup 2 index dup getinterval /gbmap xdef
+  1 index dup 2 mul exch getinterval /bbmap xdef pop pop}bdef
+/it {gs np dtri aload pop moveto lineto lineto cp c
+  cols rows 8 compute_transform 
+  rbmap gbmap bbmap true 3 colorimage gr}bdef
+/il {newpath moveto lineto stroke}bdef
+currentdict end def
+%%EndProlog
+
+%%BeginSetup
+MathWorks begin
+
+0 cap
+
+end
+%%EndSetup
+
+%%Page: 1 1
+%%BeginPageSetup
+%%PageBoundingBox:    91   233   519   557
+MathWorks begin
+bpage
+%%EndPageSetup
+
+%%BeginObject: obj1
+bplot
+
+/dpi2point 12 def
+portraitMode 1092 6684 csm
+
+    0     0  5147  3879 rc
+85 dict begin %Colortable dictionary
+/c0 { 0.000000 0.000000 0.000000 sr} bdef
+/c1 { 1.000000 1.000000 1.000000 sr} bdef
+/c2 { 0.900000 0.000000 0.000000 sr} bdef
+/c3 { 0.000000 0.820000 0.000000 sr} bdef
+/c4 { 0.000000 0.000000 0.800000 sr} bdef
+/c5 { 0.910000 0.820000 0.320000 sr} bdef
+/c6 { 1.000000 0.260000 0.820000 sr} bdef
+/c7 { 0.000000 0.820000 0.820000 sr} bdef
+c0
+1 j
+1 sg
+   0    0 5148 3880 rf
+6 w
+0 3161 3990 0 0 -3161 668 3452 4 MP
+PP
+-3990 0 0 3161 3990 0 0 -3161 668 3452 5 MP stroke
+4 w
+DO
+SO
+6 w
+0 sg
+ 668  291 mt 4658  291 L
+ 668 3452 mt 4658 3452 L
+4658 3452 mt 4658  291 L
+ 668 3452 mt  668  291 L
+ 668 3452 mt 4658 3452 L
+ 668 3452 mt  668  291 L
+ 668 3452 mt  668 3412 L
+ 668  291 mt  668  330 L
+%%IncludeResource: font Helvetica
+/Helvetica /WindowsLatin1Encoding 120 FMSR
+
+ 635 3597 mt 
+(0) s
+1167 3452 mt 1167 3412 L
+1167  291 mt 1167  330 L
+1134 3597 mt 
+(5) s
+1666 3452 mt 1666 3412 L
+1666  291 mt 1666  330 L
+1600 3597 mt 
+(10) s
+2164 3452 mt 2164 3412 L
+2164  291 mt 2164  330 L
+2098 3597 mt 
+(15) s
+2663 3452 mt 2663 3412 L
+2663  291 mt 2663  330 L
+2597 3597 mt 
+(20) s
+3162 3452 mt 3162 3412 L
+3162  291 mt 3162  330 L
+3096 3597 mt 
+(25) s
+3660 3452 mt 3660 3412 L
+3660  291 mt 3660  330 L
+3594 3597 mt 
+(30) s
+4159 3452 mt 4159 3412 L
+4159  291 mt 4159  330 L
+4093 3597 mt 
+(35) s
+4658 3452 mt 4658 3412 L
+4658  291 mt 4658  330 L
+4592 3597 mt 
+(40) s
+ 668 3452 mt  708 3452 L
+4658 3452 mt 4618 3452 L
+ 568 3496 mt 
+(0) s
+ 668 3000 mt  708 3000 L
+4658 3000 mt 4618 3000 L
+ 568 3044 mt 
+(2) s
+ 668 2548 mt  708 2548 L
+4658 2548 mt 4618 2548 L
+ 568 2592 mt 
+(4) s
+ 668 2097 mt  708 2097 L
+4658 2097 mt 4618 2097 L
+ 568 2141 mt 
+(6) s
+ 668 1645 mt  708 1645 L
+4658 1645 mt 4618 1645 L
+ 568 1689 mt 
+(8) s
+ 668 1194 mt  708 1194 L
+4658 1194 mt 4618 1194 L
+ 501 1238 mt 
+(10) s
+ 668  742 mt  708  742 L
+4658  742 mt 4618  742 L
+ 501  786 mt 
+(12) s
+ 668  291 mt  708  291 L
+4658  291 mt 4618  291 L
+ 501  335 mt 
+(14) s
+ 668  291 mt 4658  291 L
+ 668 3452 mt 4658 3452 L
+4658 3452 mt 4658  291 L
+ 668 3452 mt  668  291 L
+gs 669 291 3990 3162 rc
+/c8 { 0.000000 0.000000 1.000000 sr} bdef
+c8
+100 -1355 100 0 99 -677 100 677 100 226 100 -678 99 678 100 -226 
+100 452 99 0 100 451 100 -226 100 0 99 -677 100 677 100 -1129 
+100 452 99 677 100 -1129 100 904 99 -226 100 226 100 451 100 -226 
+99 -225 100 451 100 -1806 100 2032 99 -226 100 -1129 100 452 99 -226 
+100 -452 100 678 100 226 99 -678 100 -903 868 3000 38 MP stroke
+/c9 { 1.000000 0.000000 0.000000 sr} bdef
+c9
+100 -272 100 -3 99 -2 100 166 100 38 100 -9 99 159 100 29 
+100 92 99 3 100 3 100 -108 100 -80 99 -99 100 45 100 -113 
+100 141 99 64 100 -90 100 170 99 -14 100 40 100 -7 100 -121 
+99 -96 100 -63 100 -191 100 212 99 -243 100 -247 100 -26 99 -146 
+100 -126 100 -44 100 -226 99 -337 100 -253 868 3361 38 MP stroke
+gr
+
+c9
+0 sg
+2349 3740 mt 
+(cyklus [90s]) s
+ 419 2025 mt  -90 rotate
+(fronta) s
+90 rotate
+2343  196 mt 
+(D\351lka fronty) s
+ 652 3495 mt 
+( ) s
+4642  333 mt 
+( ) s
+1 sg
+0 378 1044 0 0 -378 3510 3320 4 MP
+PP
+-1044 0 0 378 1044 0 0 -378 3510 3320 5 MP stroke
+4 w
+DO
+SO
+6 w
+0 sg
+3510 2942 mt 4554 2942 L
+3510 3320 mt 4554 3320 L
+4554 3320 mt 4554 2942 L
+3510 3320 mt 3510 2942 L
+3510 3320 mt 4554 3320 L
+3510 3320 mt 3510 2942 L
+3510 2942 mt 4554 2942 L
+3510 3320 mt 4554 3320 L
+4554 3320 mt 4554 2942 L
+3510 3320 mt 3510 2942 L
+4013 3089 mt 
+(aktu\341ln\355) s
+gs 3510 2942 1045 379 rc
+c8
+387 0 3587 3047 2 MP stroke
+gr
+
+c8
+0 sg
+4013 3258 mt 
+(filtrovan\341) s
+gs 3510 2942 1045 379 rc
+c9
+387 0 3587 3215 2 MP stroke
+gr
+
+c9
+
+end %%Color Dict
+
+eplot
+%%EndObject
+
+epage
+end
+
+showpage
+
+%%Trailer
+%%EOF