Index: applications/doprava/texty/delka_cyklu/05_AlgorithmDescription/AlgorithmDescription.tex
===================================================================
--- applications/doprava/texty/delka_cyklu/05_AlgorithmDescription/AlgorithmDescription.tex (revision 1150)
+++ applications/doprava/texty/delka_cyklu/05_AlgorithmDescription/AlgorithmDescription.tex (revision 1151)
@@ -43,5 +43,5 @@
 \subsubsection{Třída RV}
 Třída \texttt{RV} implementuje pole popisků k vektorům třídy IT++.
-K přístupu k jednotlivým slouží přetížený operátor závorky \texttt{(int index)}.
+K přístupu k jednotlivým prvkům slouží přetížený operátor závorky \texttt{(int index)}.
 K určení veličiny uložené ve vektoru se používají metody
 \begin{description}
@@ -69,5 +69,5 @@
 \\
 Následující kód popisuje vytvoření dvou vektorů \texttt{from} a \texttt{to},
-popsaných \texttt{RV} vektory \texttt{rv\_from} a \texttt{rv\_to}, a zkopání odpovídajících
+popsaných \texttt{RV} vektory \texttt{rv\_from} a \texttt{rv\_to}, a zkopírování odpovídajících
 údajů z \texttt{from} do \texttt{to} pomocí třídy \texttt{Datalink}. Výsledkem je, že vektor
 \texttt{to} bude obsahovat hodnoty 1 a 2.
@@ -97,13 +97,13 @@
 Po inicializaci se do příslušných proměnných uloží textové
 řetězce, podle kterých se přiřazují k pruhu data z detektorů
-a AIMSUNu, jako je na příklad maximální délka
+a AIMSUNu, jako je například maximální délka
 fronty na dopravním pruhu za jednu simulační periodu.
 
 
 \section{Třída LaneHandler}
-Tato třída zprostředkovává přístup agentovi k údajům z jednotlivých pruhů.
+Tato třída zprostředkovává agentovi přístup k údajům z jednotlivých pruhů.
 Stará se o zaznamenávání a statistické zpracování dat z AIMSUNu.
 Také je zde implementován odhad čekací doby automobilu do průjezdu křižovatkou,
-což je údaj používaný v hodnotící délky cyklu funkci agenta.
+což je údaj používaný v hodnotící funkci délky cyklu agenta.
 
 \subsection{Fronta}
@@ -118,8 +118,8 @@
 
 \subsection{Odhad fronty}\label{ss:odhad_fronty}
-K odhadu fronty je použito metody tzv. exponenciálního zapomínání. Metoda vychází z plovoucího průměru
-Který je vhodný pro odhad nekonstantní hodnoty. Označíme si veličinu $\overline{q_i}$  jako plovoucí průměr
+K odhadu fronty je použito metody tzv. exponenciálního zapomínání. Metoda vychází z plovoucího průměru,
+který je vhodný pro odhad nekonstantní hodnoty. Označíme si veličinu $\overline{q_i}$  jako plovoucí průměr
 fronty v kroku $i$, kam budeme ukládat posledních $n$ měření. Označme si velikost fronty naměřenou v $i$-tém kroku jako$q_i$.
-V kroku $i+1$ je hodnota hodnota plovoucího průměru před přičtením poslední naměřené hodnoty rovna
+V kroku $i+1$ je hodnota plovoucího průměru před přičtením poslední naměřené hodnoty rovna
 $$
 \overline{q_i} = \frac{1}{n} \sum_{j=0}^{n-1} q_{i-j} .
@@ -130,5 +130,5 @@
 \overline{q_{i+1}} = \frac{1}{n} ( n \overline{q_i} - q_{i-n+1} + q_{i+1} ) = \overline{q_i} - \frac{1}{n} q_{i-n+1} +\frac{1}{n} q_{i+1}.
 $$
-Abychom nemuseli ukládat posledních $n$ měření. Zjednodušíme algoritmus tím, že místo kroku $i-n+1$ odečteme od průměru
+Abychom nemuseli ukládat posledních $n$ měření, zjednodušíme algoritmus tím, že místo kroku $i-n+1$ odečteme od průměru
 jeho hodnotu podělenou délkou průměrovacího okna $n$. Výpočet přejde na tvar
 $$
@@ -140,5 +140,5 @@
 \overline{q_{i+1}} = \overline{q_i} + w \Delta q_{i+1}.
 $$
-Průměr s exponenciálním zapomínáním se nazývá proto, že je v něm v $i$-tém kroku uložena i první hodnota,
+Průměr s exponenciálním zapomínáním se tak nazývá proto, že je v něm v $i$-tém kroku uložena i první hodnota,
 má však zanedbatelnou váhu $\left(\frac{n-1}{n}\right)^i$. Jedná se o jaksi zjednodušenou verzi Kalmanova filtru.
 Grafy \ref{fig:q1} a \ref{fig:q2} znázorňují rozdíl mezi okamžitou a filtrovanou délkou fronty při váze $w = 0.2$.
@@ -149,5 +149,5 @@
 \begin{center}
     {\includegraphics[width=10cm]{\obr q_scen_01_1h_tc80.eps}}
-    \caption{Porovnání okamžité a filtrované délky fronty \newline délka cyklu 80 s}\label{fig:q1}
+    \caption{Porovnání okamžité a filtrované délky fronty \newline- délka cyklu 80 s}\label{fig:q1}
 \end{center}
 \end{figure}
@@ -156,5 +156,5 @@
 \begin{center}
     {\includegraphics[width=10cm]{\obr q_scen_01_1h_tc40-120.eps}}
-    \caption{Porovnání okamžité a filtrované délky fronty \newline délka cyklu 40-120 s}\label{fig:q2}
+    \caption{Porovnání okamžité a filtrované délky fronty \newline- délka cyklu 40-120 s}\label{fig:q2}
 \end{center}
 \end{figure}
@@ -162,17 +162,17 @@
 
 V reálném případě je potřeba vypočítat délku fronty podle záznamů z detektorů.
-Prostý výpočet délky fronty například jako rozdíl počtu vozidel, která odjela a která přijela však není možný.
-V důsledku problémů popsaných v \ref{sss:zpracovani_dat}. Výpočet délky fronty není předmětem zkoumání této práce.
+Prostý výpočet délky fronty například jako rozdíl počtu vozidel, která odjela, a která přijela však není možný,
+v důsledku problémů popsaných v \ref{sss:zpracovani_dat}. Výpočet délky fronty není předmětem zkoumání této práce.
 Podrobnější pojednání o tomto problému lze najít například v \cite{pecherkova}.
 \\
 \\
 Protože časté přenastavování délky cyklu působí řadičům problémy, přenastavuje se tento parametr jednou za časový
-úsek, ktrý je několikanásobně delší než 90 sekund. Je tedy nutné modelovat časový průběh fronty. Při rozšiřování testovacího
+úsek, který je několikanásobně delší než 90 sekund. Je tedy nutné modelovat časový průběh fronty. Při rozšiřování testovacího
 prostředí tento model ovlivní i údaj o počtu vozidel, které přijedou ze sousední křižovatky. Tento údaj závisí na délce cyklu
-a není agentovy dostupný přímo. Bude tedy nutné rozšířit komunikaci agentů, popsanou v \ref{ss:komunikace}, o tento údaj.
+a není agentovi dostupný přímo. Bude tedy nutné rozšířit komunikaci agentů, popsanou v \ref{ss:komunikace}, o tento údaj.
 
 
 \subsection{Odhad čekací doby}\label{ss:odhad_cekaci_doby}
-Jednou z nejdůležitějších částí logiky, implementovaná v třídě \texttt{LaneHandler} je
+Jednou z nejdůležitějších částí logiky, implementované v třídě \texttt{LaneHandler} je
 odhad čekací doby vozidel stojících v, nebo přijíždějících do příslušného jízdního pruhu.
 Tento odhad se používá při výběru a ohodnocení délky cyklu.
@@ -182,5 +182,5 @@
 Do proměnné \texttt{q} se uloží aktuální hodnota fronty. 
 Simulace začíná v čase \texttt{t = 0}. V každém kroku simulace
-se zvětší fronta o hustotu provozu (počt aut za sekundu), odhadovanou z údajů z detektorů, a pokud se čas nachází
+se zvětší fronta o hustotu provozu (počet aut za sekundu), odhadovanou z údajů z detektorů, a pokud se čas nachází
 ve průjezdné fázi, zmenší se o konstantu, nazývanou saturovaný tok, která udává maximální počet aut, které projedou
 křižovatkou. K čekací době vozidel, uložené v proměnné \texttt{wt}, se potom přičte délka zbývající fronty a čas 
@@ -189,5 +189,5 @@
 \\
 Odhad probíhá ve dvou fázích, realizovaných cykly typu \texttt{for}. V první běží čas do největší části \texttt{T},
-soudělné s \texttt{tc}, v druhé po zbytek \texttt{T}. níže uvádím popis všech proměnných.
+soudělné s \texttt{tc}, v druhé po zbytek \texttt{T}. Níže uvádím popis všech proměnných.
 \begin{description}
  \item[tc] délka cyklu, pro kterou je odhad prováděn (parametr funkce)
@@ -203,5 +203,5 @@
  \item[tc\_last] zbytek odhadovací periody
  \item[gt\_last] délka zelené ve zbytku odhadovací periody
- \item[delta] korekční parametr vyjadřuje zkrácení doby průjezdnosti vlivem pomalých rozjezdů a podpbně
+ \item[delta] korekční parametr vyjadřuje zkrácení doby průjezdnosti vlivem pomalých rozjezdů a podobně
 \end{description}
 Odhad je implementován v metodě \texttt{getWT}:
@@ -319,6 +319,6 @@
 \subsubsection{Metoda receive a broadcast} \label{ss:komunikace}
 Po načtení a zpracování dat začíná komunikace. Ta je realizována metodami
-\texttt{broadcas} a \texttt{receive}, které se volají střídavě. Přesněji řečeno,
-hlavni smyčka nejprve volá metody \texttt{receive} každého agenta tak dlouho, dokud nevyprázdní frontu zpráv.
+\texttt{broadcast} a \texttt{receive}, které se volají střídavě. Přesněji řečeno,
+hlavní smyčka nejprve volá metody \texttt{receive} každého agenta tak dlouho, dokud nevyprázdní frontu zpráv.
 Ta je reprezentována polem proměnných typu \texttt{Setting}, které mají nastaveny čtyři parametry:
 
@@ -370,5 +370,5 @@
 
 \subsubsection{Metoda act}\label{sss:metoda_act}
-Pokud se agenti dohodly na změně délky cyklu, probíhá její přenastavení v metodě \texttt{act}.
+Pokud se agenti dohodli na změně délky cyklu, probíhá její přenastavení v metodě \texttt{act}.
 Nejprve se projde pole \texttt{received\_profit\_sum} a vybere se z něj maximum.
 Poté se podle indexu maximálního zisku určí ideální délka fronty.